org.sonatype.plexus.components.cipher

## Class PBECipher

- java.lang.Object
- - org.sonatype.plexus.components.cipher.PBECipher

    public class PBECipher
    extends java.lang.Object

Version:
  $Id: PBECipher.java 1218 2009-04-22 21:53:08Z jdcasey $
Author:
  Oleg Gusakov

### Field Summary

Fields
`protected java.security.MessageDigest` `_digester`
`protected boolean` `_onLinux`
`protected java.security.SecureRandom` `_secureRandom`
`protected static int` `CHUNK_SIZE`
`protected static java.lang.String` `CIPHER_ALG`
`protected static java.lang.String` `DIGEST_ALG`
`protected static java.lang.String` `KEY_ALG`
`protected static int` `PBE_ITERATIONS`
`protected static int` `SALT_SIZE`
`protected static int` `SPICE_SIZE`
`protected static java.lang.String` `STRING_ENCODING`
`protected static byte` `WIPER`

### Constructor Summary

Constructors
Constructor and Description
`PBECipher()`

### Method Summary

Methods
`java.lang.String` `decrypt64(java.lang.String encryptedText, java.lang.String password)`
`java.lang.String` `encrypt64(java.lang.String clearText, java.lang.String password)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### STRING_ENCODING

    protected static final java.lang.String STRING_ENCODING

See Also:
  Constant Field Values

#### SPICE_SIZE

    protected static final int SPICE_SIZE

See Also:
  Constant Field Values

#### SALT_SIZE

    protected static final int SALT_SIZE

See Also:
  Constant Field Values

#### CHUNK_SIZE

    protected static final int CHUNK_SIZE

See Also:
  Constant Field Values

#### WIPER

    protected static final byte WIPER

See Also:
  Constant Field Values

#### DIGEST_ALG

    protected static final java.lang.String DIGEST_ALG

See Also:
  Constant Field Values

#### KEY_ALG

    protected static final java.lang.String KEY_ALG

See Also:
  Constant Field Values

#### CIPHER_ALG

    protected static final java.lang.String CIPHER_ALG

See Also:
  Constant Field Values

#### PBE_ITERATIONS

    protected static int PBE_ITERATIONS

#### _digester

    protected java.security.MessageDigest _digester

#### _secureRandom

    protected java.security.SecureRandom _secureRandom

#### _onLinux

    protected boolean _onLinux

### Constructor Detail

#### PBECipher

    public PBECipher()
              throws PlexusCipherException

Throws:
  `PlexusCipherException`

### Method Detail

#### encrypt64

    public java.lang.String encrypt64(java.lang.String clearText,
                             java.lang.String password)
                               throws PlexusCipherException

Throws:
  `PlexusCipherException`

#### decrypt64

    public java.lang.String decrypt64(java.lang.String encryptedText,
                             java.lang.String password)
                               throws PlexusCipherException

Throws:
  `PlexusCipherException`